[Stable Update] 2020-07-19 - Kernels, KDE, LibreOffice, Mesa, Cinnamon, Deepin, Pamac, Browsers

All is well. xfce. Upon switching from testing back to stable:
warning: ffmpeg: local (2:4.3.1-1) is newer than extra (2:4.2.4-1). No big deal, i guess.

I also faced the same issue but it is solved after removing systemd from passwd and group in /etc/nsswitch.conf is there any problems that I might face by removing systemd from this two lists?

Thank you.

  • After the update I have two packages (xorg-font-utils and xorg-fonts-alias) still installed but that are not in the repos anymore: can/should I remove them?
  • Some fonts looked weird on firefox, but installing ttf-dejavu resolved the problem as said in the wiki
  • My wifi card still doesn't work with the latest kernels (5.7 and 5.8): it's a known problem and a patch have already been submitted, maybe you should apply it as the Arch team seams to have already done?

It did the trick. Thanks !

The newer ffmpeg only problem is if you want to use NVIDIA NVENC,its broken in that version,downgrade it to the 2.4.2.4-1 fixed it.

Thanks

KDE kernel 5.4.52-1 this update was a real biggie! :astonished:

Everything rebooted smoothly. So, many thanks to all for the hard work putting this one together.

Stay Safe :+1:

Hi,
thank U for this patient work !

On my Xfce, I had to : sudo pacman -S ttf-dejavu as you suggest, then these two stuffs :

Remplacer intel-tbb par extra/tbb ? [O/n] 
résolution des dépendances…
recherche des conflits entre paquets…
:: xorg-fonts-alias-100dpi et xorg-fonts-alias sont en conflit. Supprimer xorg-fonts-alias ? [o/N] o

And finally it didn't like ventoy, so I uninstalled it as my ventoy key is already done :

erreur : la validation de la transaction a échoué (conflit de fichiers)
ventoy : /opt/ventoy/tool/ENROLL_THIS_KEY_IN_MOKMANAGER.cer est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/VentoyWorker.sh est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/hexdump est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/mkexfatfs_32 est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/mkexfatfs_64 est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/mount.exfat-fuse_32 est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/mount.exfat-fuse_64 est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/vtoy_gen_uuid est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/vtoyfat_32 est déjà présent dans le système de fichiers
ventoy : /opt/ventoy/tool/vtoyfat_64 est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
[me@ordi1 ~]$ sudo pacman -Rsn ventoy
vérification des dépendances…

Paquets (1) ventoy-1.0.12-1

Taille totale supprimée :  3,87 MiB

:: Voulez-vous désinstaller ces paquets ? [O/n] 
:: Traitement des changements du paquet…
(1/1) désinstallation de ventoy                                                                                 [------------------------------------------------------------------] 100%
:: Exécution des crochets de post-transaction…
(1/1) Arming ConditionNeedsUpdate...

After that it went smoothly

1 Like

As long as all the packages did indeed install without issues, it's all good.

updated 2 machines

one hp 13 x360 (2018) - i7, i620

second hp z440 (~2016) - xeon, nvidia k2200

both went without hiccups

had to use plasmashell --version to make sure i wasn't stuck in the old version :slight_smile:

excellent quality upgrade - my apologies for being a little inpatient previously

what a distribution...

Updated 2 machines, on both everything fine. Just curious, why not Thunderbird 78?

After the update Pamac doesn't work, no try icon either.

[inigo@azkar ~]$ pamac-installer

(pamac-installer:3021): GLib-GIO-WARNING **: 19:01:26.051: /etc/xdg/kde-mimeapps.list contains a [Added Associations] group, but it is not permitted here. Only the non-desktop-specific mimeapps.list file may add or remove associations.
Instalar paquetes de repositorios, rutas o URL
Eliminar paquetes
Cree paquetes desde AUR e inst√°lelos con sus dependencias

pamac-installer [paquete(s)] [--remove] [paquete(s)] [--build] [paquete(s)]

Now this is what I would call a smooth update.

Tty reboot and all well. 2.4 gig update and all seems well. You people should be proud of yourselves. Only wish i had the knowledge and guts to partake in the testing branch - but hey ho - just appreciate the abilities of others. Thanks again. Cheers

Thanks for the update ! (Cinnamon here)

I have a small bug with the Comfortaa font. The "8" of the Comfortaa Regular is not rendered correctly. Light and Bold are not affected.

comfortaa-bug

It is not yet tested. Also in AUR the 78 version is not incorporated

While updating GNOME crashed, wasn't able to restart (stuck in my mainboard's vendor logo) it or I was just not patient enough and ended up with GRUB not being able boot because there was no kernel in /boot. I grabbed a Manjaro USB, manjaro-chrooted in my system, let the update finish and reinstalled the kernels, seems to be running fine now again.

Phew, that was a chonker! As such, I'm very glad that the development team and the community using the testing repo took the proper time to ensure that everything was properly vetted, now you can all enjoy some peace and quiet for a bit :wink:

Linux 57, KDE on metal and XFCE in a VM, orphans cleared up and no issues to report.

1 Like

Everything smoothless on cinnamon updated from tty.

Thank you very much to all the maintainers, developers and users of the unstable and testing branches for filtering out all the issues for us stable users!

Looks all good, except I had to change Formats back, they reverted to default.

Forum kindly sponsored by